Subject: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Adrian Robert <[email-masked]>
Date: Sun, 9 Feb 2014 09:16:08 +0200

> The thread tells a bit about other parts of the code relating to the input loop integration affected by the change.  Some things might be different today, though I don’t think this area changes very fast..

That said, after reading a bit more in the bug thread, the part "it makes C-g work more pleaseantly, like M-! sleep 1000 I can quit with C-g almost instantly using interrupt-input driven style, while I have to wait for 1~2 seconds using the polling method” makes me think some things HAVE changed, since I know these problems were not present after the 2009-01-29 change.  So perhaps the whole timers and interrupts area should be revisited for NS.